package com.mmc.iuav.user.service.fdd;

import com.mmc.iuav.page.PageResult;
import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.model.dto.LoginSuccessDTO;
import com.mmc.iuav.user.model.fdd.vo.SealInfoVO;
import com.mmc.iuav.user.model.fdd.vo.SealVO;

/**
 * @Author LW
 * @date 2022/8/31 17:29
 * 概要：
 */
public interface SealManageService {
    ResultBody uploadSeal(SealVO sealVO, LoginSuccessDTO loginSuccessDTO);

    PageResult getSealInfoList(SealInfoVO param, LoginSuccessDTO loginSuccessDTO);

    ResultBody removeSeal(String signatureId, Integer port, LoginSuccessDTO loginSuccessDTO);

    ResultBody defaultSeal(String signatureId, Integer port, LoginSuccessDTO loginSuccessDTO);

    ResultBody getSealInfo(String signatureId, Integer port, LoginSuccessDTO loginSuccessDTO);

    ResultBody editSealName(String signatureId, Integer port, LoginSuccessDTO loginSuccessDTO, String sealName);

    ResultBody checkAuthStatus(Integer port, LoginSuccessDTO loginSuccessDTO);
}
